Cancel All Open Orders (TRADE)

Cancel all active orders on a product

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Signature generation

The api expects a EIP712 signature constructed with the following typed data:

{
  EIP712Domain: [
    {
      name: 'name', // ciao
      type: 'string',
    },
    {
      name: 'version', // "0.0.0"
      type: 'string',
    },
    {
      name: 'chainId',
      type: 'uint256',
    },
    {
      name: 'verifyingContract',  // <OrderDispatchAddress>
      type: 'address',
    },
	],
   CancelOrders: [
		{
			name: "account",
			type: "address",
		},
		{
			name: "subAccountId",
			type: "uint8",
		},
		{
			name: "productId",
			type: "uint32",
		},
  ]
}

Example request:

{
    "account": "0x1234",               // Account address
    "subAccountId": 0,                 // Subaccount id
    "productId": 1002,                 // Identifier for the product
    "signature": "0x1234..."           // Signature for verifying the order
  }

Example response:

{
  "success": true,
   "error": null
}
Body Params
string
required
int32
required
int32
required
string
required

a signature containing the productId

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json